-- phpMyAdmin SQL Dump
-- version 4.7.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: 
-- サーバのバージョン： 10.1.26-MariaDB
-- PHP Version: 7.1.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `sashibattle`
--

-- --------------------------------------------------------

--
-- テーブルの構造 `fighter_tbl`
--

CREATE TABLE `fighter_tbl` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `img` varchar(100) NOT NULL,
  `nickname_id1` int(11) NOT NULL,
  `nickname_id2` int(11) NOT NULL,
  `status_id` int(11) NOT NULL,
  `skill_id` int(11) NOT NULL,
  `dummy1` varchar(100) DEFAULT NULL,
  `dummy2` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- テーブルのデータのダンプ `fighter_tbl`
--

INSERT INTO `fighter_tbl` (`id`, `name`, `img`, `nickname_id1`, `nickname_id2`, `status_id`, `skill_id`, `dummy1`, `dummy2`) VALUES
(1, 'とぴあ太郎', '01.png', 25, 14, 1, 5, NULL, NULL),
(2, 'アーチェリー花子', '02.png', 30, 15, 2, 6, NULL, NULL),
(3, 'カンフー三郎', '03.png', 11, 23, 3, 2, NULL, NULL),
(4, 'バイオレンスドラゴン', '18.png', 30, 30, 4, 8, NULL, NULL),
(5, 'コロシアム教官', '09.png', 2, 1, 5, 4, NULL, NULL),
(6, 'とぴあ二郎', '01.png', 14, 14, 6, 1, NULL, NULL);

-- --------------------------------------------------------

--
-- テーブルの構造 `nickname_tbl`
--

CREATE TABLE `nickname_tbl` (
  `id` int(11) NOT NULL,
  `nickname1` varchar(100) NOT NULL,
  `nickname2` varchar(100) NOT NULL,
  `dummy1` varchar(100) DEFAULT NULL,
  `dummy2` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- テーブルのデータのダンプ `nickname_tbl`
--

INSERT INTO `nickname_tbl` (`id`, `nickname1`, `nickname2`, `dummy1`, `dummy2`) VALUES
(1, '普通の', '闘士', NULL, NULL),
(2, '優秀な', '戦士', NULL, NULL),
(3, '未熟な', '弁士', NULL, NULL),
(4, '輝きの', '格闘家', NULL, NULL),
(5, '熟練の', '求道者', NULL, NULL),
(6, '野生の', '怪物', NULL, NULL),
(7, 'パワフル', 'レスラー', NULL, NULL),
(8, '前代未聞の', 'パフォーマー', NULL, NULL),
(9, '日本一の', '天才', NULL, NULL),
(10, 'インテリジェンス', '武士', NULL, NULL),
(11, 'スーパー', 'スター', NULL, NULL),
(12, '孤高の', '先生', NULL, NULL),
(13, '美しき', '魔王', NULL, NULL),
(14, '血気盛んな', '若者', NULL, NULL),
(15, '百発百中', 'スナイパー', NULL, NULL),
(16, '頭脳明晰', '乙女', NULL, NULL),
(17, '半端ない', 'オカマ', NULL, NULL),
(18, '喧嘩上等', '喧嘩師', NULL, NULL),
(19, '目立ちたがりな', '寂しんぼ', NULL, NULL),
(20, 'グルメな', '美食家', NULL, NULL),
(21, '輝ける', 'ナイト', NULL, NULL),
(22, 'ウルトラ', '名人', NULL, NULL),
(23, 'バーニング', '流浪人', NULL, NULL),
(24, 'マーベラス', '社長', NULL, NULL),
(25, '体力自慢の', '企業戦士', NULL, NULL),
(26, '頑丈な', '貧乏人', NULL, NULL),
(27, '神速の', '踊り手', NULL, NULL),
(28, 'えげつない', '会社員', NULL, NULL),
(29, '容赦のない', '一匹狼', NULL, NULL),
(30, 'デンジャラス', 'モンスター', NULL, NULL),
(31, '黄金の', '太陽', NULL, NULL);

-- --------------------------------------------------------

--
-- テーブルの構造 `skilleffect_tbl`
--

CREATE TABLE `skilleffect_tbl` (
  `id` int(11) NOT NULL,
  `effect` varchar(100) NOT NULL,
  `dummy1` varchar(100) DEFAULT NULL,
  `dummy2` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- テーブルのデータのダンプ `skilleffect_tbl`
--

INSERT INTO `skilleffect_tbl` (`id`, `effect`, `dummy1`, `dummy2`) VALUES
(1, '自分の攻撃力の2倍の一撃', NULL, NULL),
(2, '相手の防御力無視の一撃', NULL, NULL),
(3, '相手に100の防御力無視ダメージ', NULL, NULL),
(4, '自分の体力を全回復', NULL, NULL),
(5, '相手の全ての攻撃を防ぐ', NULL, NULL),
(6, '絶対に先制攻撃できる', NULL, NULL),
(7, '相手の攻撃力を使って攻撃', NULL, NULL),
(8, '相手に10～300の防御力無視ダメージ', NULL, NULL),
(9, '攻撃で与えたダメージの分自分の体力を回復', NULL, NULL),
(10, '自分と相手に攻撃力300の攻撃', NULL, NULL);

-- --------------------------------------------------------

--
-- テーブルの構造 `skill_tbl`
--

CREATE TABLE `skill_tbl` (
  `id` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `effect_id` int(11) NOT NULL,
  `dummy1` varchar(100) DEFAULT NULL,
  `dummy2` varchar(100) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- テーブルのデータのダンプ `skill_tbl`
--

INSERT INTO `skill_tbl` (`id`, `name`, `effect_id`, `dummy1`, `dummy2`) VALUES
(1, '気合の一撃', 1, NULL, NULL),
(2, '浸透気功', 2, NULL, NULL),
(3, 'ファイアボール', 3, NULL, NULL),
(4, '自己再生', 4, NULL, NULL),
(5, '鉄壁の構え', 5, NULL, NULL),
(6, '神速', 6, NULL, NULL),
(7, '達人の合気', 7, NULL, NULL),
(8, 'ギャンブルヒット', 8, NULL, NULL),
(9, 'ドレインアタック', 9, NULL, NULL),
(10, '相打ちカウンター', 10, NULL, NULL),
(11, '吸血攻撃', 9, NULL, NULL);

-- --------------------------------------------------------

--
-- テーブルの構造 `status_tbl`
--

CREATE TABLE `status_tbl` (
  `id` int(11) NOT NULL,
  `hp` int(11) NOT NULL,
  `atk` int(11) NOT NULL,
  `def` int(11) NOT NULL,
  `agi` int(11) NOT NULL,
  `dummy1` int(11) DEFAULT NULL,
  `dummy2` int(11) DEFAULT NULL,
  `dummy3` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- テーブルのデータのダンプ `status_tbl`
--

INSERT INTO `status_tbl` (`id`, `hp`, `atk`, `def`, `agi`, `dummy1`, `dummy2`, `dummy3`) VALUES
(1, 310, 80, 80, 30, NULL, NULL, NULL),
(2, 120, 300, 50, 30, NULL, NULL, NULL),
(3, 160, 180, 110, 50, NULL, NULL, NULL),
(4, 320, 90, 40, 50, NULL, NULL, NULL),
(5, 220, 210, 60, 10, NULL, NULL, NULL),
(6, 180, 160, 20, 140, NULL, NULL, NULL);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `fighter_tbl`
--
ALTER TABLE `fighter_tbl`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `nickname_tbl`
--
ALTER TABLE `nickname_tbl`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `skilleffect_tbl`
--
ALTER TABLE `skilleffect_tbl`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `skill_tbl`
--
ALTER TABLE `skill_tbl`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `status_tbl`
--
ALTER TABLE `status_tbl`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `fighter_tbl`
--
ALTER TABLE `fighter_tbl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `nickname_tbl`
--
ALTER TABLE `nickname_tbl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=32;
--
-- AUTO_INCREMENT for table `skilleffect_tbl`
--
ALTER TABLE `skilleffect_tbl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;
--
-- AUTO_INCREMENT for table `skill_tbl`
--
ALTER TABLE `skill_tbl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12;
--
-- AUTO_INCREMENT for table `status_tbl`
--
ALTER TABLE `status_tbl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
